TI PCI1620 SD card reader not working

Bug #163345 reported by phenest on 2007-11-17
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
Nominated for Lucid by MyR
Nominated for Maverick by MyR
Jaunty
Medium
Stefan Bader
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by MyR
Nominated for Maverick by MyR
Jaunty
Undecided
Unassigned

Bug Description

I am running Gutsy with the 2.6.22-14-generic kernel.

lspci | grep PCI1620
02:06.0 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:06.1 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:06.2 System peripheral: Texas Instruments PCI1620 Firmware Loading Function (rev 01)

phenest (steve-clark) wrote :

I have done some research and found this:
http://gentoo-wiki.com/HARDWARE_Texas_Instruments_PCI1620_Cardbus_Controller_with_a_4_in_1_memory_card_reader

It mentions:
"Pata driver (works only with kernel >=2.6.22) is basically the pata_pcmcia.c module available in the vanilla kernel with the data transfer function customized to perform the transfer on 8 bits instead of the default 16 bits (the only problem that prevents pata_pcmcia to work with this device)."

So it would seem the existing driver could work if this fix was implemented, somehow.

I have not been able to try this as my knowledge in compiling drivers in Linux is limited.

Duncan Lithgow (duncan-lithgow) wrote :

Thanks for your bug report. You mentioned your kernel so I've attached this to the 2.6.22 kernel. If you could do that next time that would be a great help. Have a look at the bugs listed on Bug #180076 to see if one of them is the same as your problem. Thanks again.

Changed in linux-source-2.6.22:
status: New → Incomplete

The Hardy Heron Alpha series was recently released which contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks

phenest (steve-clark) wrote :

Unfortunately I do not own the computer that had this hardware, therefore I cannot do any testing. I will try to contact some users I know that may be able to do the necessary testing.

Don Incognito (imperat) wrote :

Bug still exists on Hardy Beta with the 2.6.24-12-generic kernel.

Don, can you attach the output of running 'sudo lspci -vvnn' and also your 'dmesg' output. Please be sure to attach each as a separate file. Thanks.

Changed in linux-source-2.6.22:
importance: Undecided → Medium
Don Incognito (imperat) wrote :

lspci is attached, but there is no dmesg activity when I try to use the card reader.

Steve Jackson (aearenda) wrote :

Bug still exists with Hardy as released, on a HP TC1100 Tablet PC. No dmesg activity whatsoever following card insertion.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Don Incognito (imperat) wrote :

The bug still exists using the 2.6.27 kernel:

$ uname -a
Linux Continuity 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux

This is on an HP xv5000 laptop, running Hardy. dmesg and lspci -vvn output are attached. There is still no dmesg activity, however.

Thanks,
Don

Don Incognito (imperat) wrote :
Changed in linux:
status: Incomplete → New

Hi everybody,

I'm experiencing the same problem, here is my installation profile:

Linux tuxbox64 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux

you find attached my “lspci -vv”, there you can see my device id is 02:04.1.

This is what I find in “dmesg”:

roberto@tuxbox64:~$ dmesg | grep 02:04.1

[ 0.538269] PCI: 0000:02:04.1 reg 10 32bit mmio: [e0107000, e0107fff]

[ 0.538280] pci 0000:02:04.1: supports D1

[ 0.538282] pci 0000:02:04.1: supports D2

[ 0.538284] pci 0000:02:04.1: PME# supported from D0 D1 D2 D3hot D3cold

[ 0.538287] pci 0000:02:04.1: PME# disabled

[ 0.621176] pci 0000:02:04.1: BAR 10: can't allocate mem resource [0xe4000000-0xe17fffff]

[ 0.621196] pci 0000:02:04.1: CardBus bridge, secondary bus 0000:07

[ 0.621198] pci 0000:02:04.1: IO window: 0x003800-0x0038ff

[ 0.621202] pci 0000:02:04.1: IO window: 0x003c00-0x003cff

[ 0.621206] pci 0000:02:04.1: PREFETCH window: 0x74000000-0x77ffffff

[ 0.621908] pci 0000:02:04.1: PCI INT B -> Link[LNK2] -> GSI 18 (level, low) -> IRQ 18

[ 14.429657] Yenta: CardBus bridge found at 0000:02:04.1 [103c:006d]

[ 14.429681] Yenta TI: socket 0000:02:04.1, mfunc 0x01111d22, devctl 0x64

This line doesn't sound good BAR 10: can't allocate mem resource [0xe4000000-0xe17fffff]
... although I don't know what is means at all :-P

Hope this may help.
Have a good time everybody!

This will remain open against the actively developed kernel bug against 2.6.22 this does not qualify for a Stable Release Update - http://wiki.ubuntu.com/StableReleaseUpdates . Thanks.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: New → Triaged
Changed in linux-source-2.6.22:
status: New → Won't Fix

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

MyR (myr-jedi) wrote :

Bug is still present on Jaunty 5 alpha with kernel 2.6..28-8-generic (HP TC1100 tablet)

Stefan Bader (smb) wrote :

Can someone with installed Jaunty and this problem try one of the kernels at http://people.ubuntu.com/~smb/bug163345/
Unfortunately the link provided in comment #1 is dead, but there is one quirk in the drivers that seems to switch to 8bit transfers for some device. Not sure this is the right ID, but at least it should print it.

Changed in linux (Ubuntu):
assignee: nobody → stefan-bader-canonical
status: Triaged → In Progress
Stefan Bader (smb) wrote :

I refreshed the test packages for Jaunty. However if there is no one that can verify whether this fixes the problem or not, I will have to drop this.

Changed in linux-source-2.6.22 (Ubuntu Jaunty):
status: New → Invalid
Changed in linux (Ubuntu Jaunty):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
importance: Undecided → Medium
status: New → Incomplete
Stefan Bader (smb) wrote :

Is the problem still in Karmic?

Changed in linux (Ubuntu):
status: In Progress → Incomplete
MyR (myr-jedi) wrote :

I installed linux-image-2.6.28-15-generic_2.6.28-15.51bug163345v1_i386.deb and rebooted. Crashed the graphics settings. Card reader still doesn't work.

I'm using xubuntu jaunty and a 1gb sd card.

Stefan Bader (smb) wrote :

Thanks for testing. Could you probably attach the dmesg output for that test? I would like to check some debug output in there. Thanks.

MyR (myr-jedi) wrote :

$ uname -a
Linux tc1100 2.6.28-15-generic #51bug163345v1-Ubuntu SMP Thu Sep 3 11:15:39 CEST 2009 i686 GNU/Linux

MyR (myr-jedi) wrote :

Here's some more info; hope it helps. It would be awesome to get this working!

$ lspci | grep 1620
02:06.0 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:06.1 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:06.2 System peripheral: Texas Instruments PCI1620 Firmware Loading Function (rev 01)

$lspci -vv
02:06.0 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
 Subsystem: Hewlett-Packard Company Device 08b0
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 168, Cache Line Size: 128 bytes
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at e0003000 (32-bit, non-prefetchable) [size=4K]
 Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
 Memory window 0: 50000000-53fff000 (prefetchable)
 Memory window 1: 5c000000-5ffff000
 I/O window 0: 00003000-000030ff
 I/O window 1: 00003400-000034ff
 BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
 16-bit legacy interface ports at 0001
 Kernel driver in use: yenta_cardbus
 Kernel modules: yenta_socket

02:06.1 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
 Subsystem: Hewlett-Packard Company Device 08b0
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 168, Cache Line Size: 128 bytes
 Interrupt: pin B routed to IRQ 10
 Region 0: Memory at e0004000 (32-bit, non-prefetchable) [size=4K]
 Bus: primary=02, secondary=07, subordinate=0a, sec-latency=176
 Memory window 0: 54000000-57fff000 (prefetchable)
 Memory window 1: 60000000-63fff000
 I/O window 0: 00003800-000038ff
 I/O window 1: 00003c00-00003cff
 BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
 16-bit legacy interface ports at 0001
 Kernel driver in use: yenta_cardbus
 Kernel modules: yenta_socket

02:06.2 System peripheral: Texas Instruments PCI1620 Firmware Loading Function (rev 01)
 Subsystem: Hewlett-Packard Company Device 08b0
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 64 (1750ns min, 1000ns max), Cache Line Size: 32 bytes
 Region 0: I/O ports at 4000 [size=64]
 Capabilities: <access denied>

MyR (myr-jedi) wrote :

Bug is still present in Karmic Alpha 5 LiveCD.

off topic: the karmic snapshot looks pretty good though! it has a much more coherent boot up.

MyR (myr-jedi) on 2009-10-16
tags: added: karmic
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
MyR (myr-jedi) wrote :

Bug is confirmed in Lucid.

mu3en (mu3en) wrote :

definitely still inoperable under lucid.

not sure if this is ultimately destined for the 'legacy' drawer?...

doesn't seem to be all that many users affected by one particular hardware driver. usb multicard reader is still the work around.

MyR (myr-jedi) on 2011-05-03
tags: added: maverick natty oneiric

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
MyR (myr-jedi) wrote :

Awesome.

This bug was nominated against a series that is no longer supported, ie jaunty. The bug task representing the jaunty nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Jaunty):
status: Incomplete → Won't Fix
jsjag (etimer) wrote :

Who uses the phrase "no longer supported?" Oh wait I remember Microsoft. IF you want to be the OS alternative such words as no longer supported should not be part of the language.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers